## r-cran-promises 1.0.1

=== DESCRIPTION ===
Package: promises
Type: Package
Title: Abstractions for Promise-Based Asynchronous Programming
Version: 1.0.1
Authors@R: c(
      person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
      person("RStudio", role = c("cph", "fnd"))
    )
Description: Provides fundamental abstractions for doing asynchronous programming
    in R using promises. Asynchronous programming is useful for allowing a single
    R process to orchestrate multiple tasks in the background while also attending
    to something else. Semantics are similar to 'JavaScript' promises, but with a
    syntax that is idiomatic R.
License: MIT + file LICENSE
Imports: R6, Rcpp, later, rlang, stats, magrittr
Suggests: testthat, future, knitr, rmarkdown
LinkingTo: later, Rcpp
RoxygenNote: 6.0.1
Encoding: UTF-8
LazyData: true
VignetteBuilder: knitr
URL: https://rstudio.github.io/promises,
        https://github.com/rstudio/promises
BugReports: https://github.com/rstudio/promises/issues
NeedsCompilation: yes
Packaged: 2018-04-12 22:42:12 UTC; jcheng
Author: Joe Cheng [aut, cre],
  RStudio [cph, fnd]
Maintainer: Joe Cheng <joe@rstudio.com>
Repository: CRAN
Date/Publication: 2018-04-13 08:59:30 UTC

=== debian/changelog ===
r-cran-promises (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 13 Dec 2018 22:52:33 +0100

r-cran-promises (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #897033)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Apr 2018 12:55:41 +0200

=== debian/control ===
Source: r-cran-promises
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-r6,
               r-cran-rcpp,
               r-cran-later,
               r-cran-rlang,
               r-cran-magrittr
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-promises
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-promises.git
Homepage: https://cran.r-project.org/package=promises

Package: r-cran-promises
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R abstractions for promise-based asynchronous programming
 Provides fundamental abstractions for doing asynchronous programming
 in R using promises. Asynchronous programming is useful for allowing a single
 R process to orchestrate multiple tasks in the background while also attending
 to something else. Semantics are similar to 'JavaScript' promises, but with a
 syntax that is idiomatic R.

## r-cran-promises 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: promises
 Type: Package
 Title: Abstractions for Promise-Based Asynchronous Programming
-Version: 1.0.1
+Version: 1.1.0
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("RStudio", role = c("cph", "fnd"))
@@ -15,7 +15,7 @@
 Imports: R6, Rcpp, later, rlang, stats, magrittr
 Suggests: testthat, future, knitr, rmarkdown
 LinkingTo: later, Rcpp
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 Encoding: UTF-8
 LazyData: true
 VignetteBuilder: knitr
@@ -23,9 +23,9 @@
         https://github.com/rstudio/promises
 BugReports: https://github.com/rstudio/promises/issues
 NeedsCompilation: yes
-Packaged: 2018-04-12 22:42:12 UTC; jcheng
+Packaged: 2019-10-04 16:59:31 UTC; jcheng
 Author: Joe Cheng [aut, cre],
   RStudio [cph, fnd]
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-04-13 08:59:30 UTC
+Date/Publication: 2019-10-04 23:00:05 UTC

=== debian/changelog ===
r-cran-promises (1.1.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:26 +0100

r-cran-promises (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 13:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-r6,
@@ -12,7 +12,7 @@
                r-cran-later,
                r-cran-rlang,
                r-cran-magrittr
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-promises
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-promises.git
 Homepage: https://cran.r-project.org/package=promises

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/promises_([-\d.]*)\.tar\.gz

## r-cran-promises 1.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: promises
 Type: Package
 Title: Abstractions for Promise-Based Asynchronous Programming
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("RStudio", role = c("cph", "fnd"))
@@ -15,7 +15,7 @@
 Imports: R6, Rcpp, later, rlang, stats, magrittr
 Suggests: testthat, future, knitr, rmarkdown
 LinkingTo: later, Rcpp
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 Encoding: UTF-8
 LazyData: true
 VignetteBuilder: knitr
@@ -23,9 +23,9 @@
         https://github.com/rstudio/promises
 BugReports: https://github.com/rstudio/promises/issues
 NeedsCompilation: yes
-Packaged: 2019-10-04 16:59:31 UTC; jcheng
+Packaged: 2020-06-09 21:23:18 UTC; winston
 Author: Joe Cheng [aut, cre],
   RStudio [cph, fnd]
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-10-04 23:00:05 UTC
+Date/Publication: 2020-06-09 21:50:02 UTC

=== debian/changelog ===
r-cran-promises (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 17:02:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-r6,
@@ -12,10 +12,11 @@
                r-cran-later,
                r-cran-rlang,
                r-cran-magrittr
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-promises
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-promises.git
 Homepage: https://cran.r-project.org/package=promises
+Rules-Requires-Root: no
 
 Package: r-cran-promises
 Architecture: any

## r-cran-promises 1.2.0.1%2Bdfsg

=== debian/changelog ===
r-cran-promises (1.2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 21:55:06 +0200

## r-cran-promises 1.2.0.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: promises
 Type: Package
 Title: Abstractions for Promise-Based Asynchronous Programming
-Version: 1.1.1
+Version: 1.2.0.1
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("RStudio", role = c("cph", "fnd"))
@@ -13,19 +13,21 @@
     syntax that is idiomatic R.
 License: MIT + file LICENSE
 Imports: R6, Rcpp, later, rlang, stats, magrittr
-Suggests: testthat, future, knitr, rmarkdown
+Suggests: testthat, future (>= 1.21.0), fastmap (>= 1.1.0), purrr,
+        knitr, rmarkdown, vembedr, spelling
 LinkingTo: later, Rcpp
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 LazyData: true
 VignetteBuilder: knitr
-URL: https://rstudio.github.io/promises,
+URL: https://rstudio.github.io/promises/,
         https://github.com/rstudio/promises
 BugReports: https://github.com/rstudio/promises/issues
+Language: en-US
 NeedsCompilation: yes
-Packaged: 2020-06-09 21:23:18 UTC; winston
+Packaged: 2021-02-11 18:18:47 UTC; barret
 Author: Joe Cheng [aut, cre],
   RStudio [cph, fnd]
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-06-09 21:50:02 UTC
+Date/Publication: 2021-02-11 19:00:02 UTC

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-later,
                r-cran-rlang,
                r-cran-magrittr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-promises
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-promises.git
 Homepage: https://cran.r-project.org/package=promises

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-future
Restrictions: allow-stderr

## r-cran-promises 1.2.1+dfsg

=== DESCRIPTION ===
Type: Package
Package: promises
Title: Abstractions for Promise-Based Asynchronous Programming
Version: 1.2.1
Authors@R: c(
    person("Joe", "Cheng", , "joe@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Provides fundamental abstractions for doing asynchronous
    programming in R using promises. Asynchronous programming is useful
    for allowing a single R process to orchestrate multiple tasks in the
    background while also attending to something else. Semantics are
    similar to 'JavaScript' promises, but with a syntax that is idiomatic
    R.
License: MIT + file LICENSE
URL: https://rstudio.github.io/promises/,
        https://github.com/rstudio/promises
BugReports: https://github.com/rstudio/promises/issues
Imports: fastmap (>= 1.1.0), later, magrittr (>= 1.5), R6, Rcpp, rlang,
        stats
Suggests: future (>= 1.21.0), knitr, purrr, rmarkdown, spelling,
        testthat, vembedr
LinkingTo: later, Rcpp
VignetteBuilder: knitr
Config/Needs/website: rsconnect
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-08-09 20:29:25 UTC; garrick
Author: Joe Cheng [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Joe Cheng <joe@posit.co>
Repository: CRAN
Date/Publication: 2023-08-10 16:00:02 UTC

=== debian/changelog ===
r-cran-promises (1.2.1+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-fastmap (>= 1.1.0).

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 11:56:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-fastmap,
+               r-cran-later,
+               r-cran-magrittr,
                r-cran-r6,
                r-cran-rcpp,
-               r-cran-later,
-               r-cran-rlang,
-               r-cran-magrittr
-Standards-Version: 4.6.0
+               r-cran-rlang
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-promises
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-promises.git
 Homepage: https://cran.r-project.org/package=promises

## r-cran-promises 1.3.0+dfsg

=== debian/changelog ===
r-cran-promises (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-fastmap (>= 1.1.0).

 -- Charles Plessy <plessy@debian.org>  Fri, 17 May 2024 09:12:25 +0900

## r-cran-promises 1.3.2%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/promises_([-\d.]*)\.tar\.gz

## r-cran-promises 1.3.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: promises
 Title: Abstractions for Promise-Based Asynchronous Programming
-Version: 1.2.1
+Version: 1.3.2
 Authors@R: c(
     person("Joe", "Cheng", , "joe@posit.co", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd"))
@@ -25,11 +25,11 @@
 Config/Needs/website: rsconnect
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-08-09 20:29:25 UTC; garrick
+Packaged: 2024-11-27 23:38:47 UTC; jcheng
 Author: Joe Cheng [aut, cre],
   Posit Software, PBC [cph, fnd]
 Maintainer: Joe Cheng <joe@posit.co>
 Repository: CRAN
-Date/Publication: 2023-08-10 16:00:02 UTC
+Date/Publication: 2024-11-28 00:40:02 UTC

=== debian/changelog ===
r-cran-promises (1.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-fastmap (>= 1.1.0).

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 12:45:46 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-r6,
                r-cran-rcpp,
                r-cran-rlang
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-promises
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-promises.git
 Homepage: https://cran.r-project.org/package=promises

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-future (>= 1.21.0),
        r-cran-knitr,
        r-cran-purrr,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-testthat
Restrictions: allow-stderr
